<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Bootstrap grid system</title>
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />

    <!-- CSS Link -->
  </head>
  <body class="text-center">
    <div>
      <h1>Bootstrap grid system</h1>

      <!-- Two columns -->
      <h2>Two columns</h2>
      <div>
        <!-- rows with two equal cols -->
        <h3>1:1 ratio</h3>
        <div class="text-light row">
          <div class="bg-primary pt-3 pb-3 border border-dark col-6">
            6 cols
          </div>
          <div class="bg-secondary pt-3 pb-3 border border-dark col-6">
            6 cols
          </div>
        </div>

        <h3>1:2 ratio</h3>
        <div class="text-light row">
          <div class="bg-primary pt-3 pb-3 border border-dark col-4">
            4 cols
          </div>
          <div class="bg-secondary pt-3 pb-3 border border-dark col-8">
            8 cols
          </div>
        </div>
        <h3>1:3 ratio</h3>
        <div class="text-light row">
          <div class="bg-primary pt-3 pb-3 border border-dark col-3">
            3 cols
          </div>
          <div class="bg-secondary pt-3 pb-3 border border-dark col-9">
            9 cols
          </div>
        </div>
      </div>

      <!-- Three col start -->
      <h2>3 cols</h2>
      <div class="container-fluid">
        <h3>1:1:1 ratio</h3>
        <div class="text-light row">
          <div class="bg-primary col-4 border-dark pt-4 pb-4">col 4</div>
          <div class="bg-secondary col-4 border-dark pt-4 pb-4">col 4</div>
          <div class="bg-danger col-4 border-dark pt-4 pb-4">col 4</div>
        </div>
      </div>

      <div class="container-fluid">
        <h3>1:2:1 ratio</h3>
        <div class="text-light row">
          <div class="bg-primary col-3 border-dark pt-4 pb-4">col 3</div>
          <div class="bg-secondary col-6 border-dark pt-4 pb-4">col 6</div>
          <div class="bg-danger col-3 border-dark pt-4 pb-4">col 3</div>
        </div>
      </div>
      <div class="container-fluid">
        <h3>un-even ratio</h3>
        <div class="text-light row">
          <div class="bg-primary col-3 border-dark pt-4 pb-4">col 3</div>
          <div class="bg-secondary col-7 border-dark pt-4 pb-4">col 7</div>
          <div class="bg-danger col-2 border-dark pt-4 pb-4">col 2</div>
        </div>
      </div>

      <h2>automatic sizing</h2>
      <div class="container-fluid">
        <div class="text-light row">
          <div class="bg-primary pt-3 pb-3 border border-dark col">auto</div>
          <div class="bg-secondary pt-3 pb-3 border border-dark col">auto</div>
          <div class="bg-primary pt-3 pb-3 border border-dark col">auto</div>
          <div class="bg-secondary pt-3 pb-3 border border-dark col">auto</div>
          <div class="bg-primary pt-3 pb-3 border border-dark col">auto</div>
        </div>
      </div>

      <h2>mobile resposive cols</h2>
      <div class="container-fluid">
        <div class="text-light row">
          <div
            class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2"
          >
            Resposive
          </div>
          <div
            class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-10"
          >
            Resposive
          </div>
        </div>
      </div>

      <!-- Multi column layouts start -->
      <h2>Multi column layouts</h2>
      <div class="container-fluid">
        <div class="text-light row">
          <div class="bg-primary pt-3 pb-3 border border-dark col-4">
            catalog 1
          </div>
          <div class="bg-secondary pt-3 pb-3 border border-dark col-4">
            catalog 2
          </div>
          <div class="bg-primary pt-3 pb-3 border border-dark col-4">
            catalog 3
          </div>
          <div class="bg-secondary pt-3 pb-3 border border-dark col-4">
            catalog 4
          </div>
          <div class="bg-primary pt-3 pb-3 border border-dark col-4">
            catalog 5
          </div>
          <div class="bg-secondary pt-3 pb-3 border border-dark col-4">
            catalog 6
          </div>
        </div>
      </div>

      <!--  -->
      <h2>OffSetting cols</h2>
      <div class="container-fluid">
        <div class="row text-light">
          <div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-2">
            OffSet cols1
          </div>
          <div
            class="bg-primary pt-3 pb-3 border border-dark col-6 offset-md-4"
          >
            OffSet cols2
          </div>
          <div
            class="bg-primary pt-3 pb-3 border border-dark col-6 offset-lg-6"
          >
            OffSet cols3
          </div>
        </div>
      </div>
      <!-- column orders -->
      <h2>column orders</h2>
      <div class="container-fluid">
        <div class="text-light row">
          <div
            class="bg-primary pb-3 pt-3 border border-dark col order-2 order-md-1"
          >
            left
          </div>
          <div
            class="bg-secondary pb-3 pt-3 border border-dark col order-1 order-md-2"
          >
            right
          </div>
        </div>
      </div>
    </div>
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
